#!/bin/bash

source .build.sh

echo
echo '==> Checking deps'
which git
which autoreconf
which make
which gcc || which clang

echo
echo '==> Cloning repo'
clone https://gitlab.isc.org/isc-projects/bind9.git bind9

cd bind9
trap 'cd ..' EXIT
set_cflags
use_lto

echo
echo '==> autoreconf -fi'
autoreconf -fi

echo
echo '==> ./configure (check deps, generate config)'
./configure \
  --with-jemalloc \
  --disable-doh \
  --disable-geoip \
  --without-libxml2 \
  --without-json-c \
  --without-libsystemd \
  --without-zlib

echo
echo '==> make'
make_maxthreads

echo
echo '==> Done'
