#!/bin/bash

source .build.sh

echo
echo '==> Checking deps'
which git
which libtoolize
which autoreconf
which make
which gcc || which clang

echo
echo '==> Cloning repo'
clone https://github.com/NLnetLabs/ldns.git ldns

cd ldns
trap 'cd ..' EXIT
set_cflags
use_lto

echo
echo '==> libtoolize -ci'
libtoolize -ci

echo
echo '==> autoreconf -fi'
autoreconf -fi

echo
echo '==> ./configure (check deps, generate config)'
./configure \
  --with-drill \
  --without-pyldns \
  --without-pyldnsx \
  --enable-poll \
  --disable-dane

echo
echo '==> make'
make_maxthreads

echo
echo '==> Done'
