#!/bin/bash

source .build.sh

echo
echo '==> Checking deps'
which git
which autoreconf
which make
which gcc || which clang

echo
echo '==> Cloning repo'
clone https://gitlab.nic.cz/knot/knot-dns.git knot-dns

cd knot-dns
trap 'cd ..' EXIT
set_cflags
use_lto

echo
echo '==> autoreconf -fi'
autoreconf -fi

echo
echo '==> ./configure (check deps, generate config)'
./configure \
  --disable-daemon --disable-modules --disable-documentation \
  --disable-systemd --disable-dbus --disable-maxminddb --disable-quic \
  --without-module-geoip --without-module-noudp --without-module-dnsproxy \
  --without-libidn

echo
echo '==> make'
make_maxthreads

echo
echo '==> Done'
